## draai 20090615

=== man/Makefile ===

all: draai.1 dr_cdrip.1 dr_permutate.1 dr_symlinks.1 dr_watch.1

clean:
	-rm draai.1 dr_cdrip.1 dr_permutate.1 dr_symlinks.1 dr_watch.1

## draai.1: ../script/draai
#	# generate draai(1) using help2man ( ftp://ftp.gnu.org/gnu/help2man/ )
#	# PYTHONPATH=`pwd`/../modules help2man --output $@ --name='manage playlists and play audio files' --no-info `pwd`/../script/draai
## 	help2man --output $@ --name='manage playlists and play audio files' --no-info `pwd`/../script/draai

draai.1: draai.azm
	zoem -d roff -i $< -o $@
	zoem -d roff -i $< -o $@

draai.ps: draai.1
	troff -man $< > $@

draai.html: draai.azm
	zoem -d html -i $< -o $@
	zoem -d html -i $< -o $@

## use -Tuft8 if you really need non-ascii characters
draai.txt: draai.1
	troff -t -e -mandoc -Tascii $< | col -bxp > $@

dr_cdrip.1: ../script/dr_cdrip
	pod2man --center=Draai --release="draai $$(cat ../VERSION)" $< $@

dr_permutate.1: ../script/dr_permutate
	pod2man --center=Draai --release="draai $$(cat ../VERSION)" $< $@

dr_symlinks.1: dr_symlinks.azm
	zoem -d roff -i $< -o $@
	zoem -d roff -i $< -o $@

dr_watch.1: dr_watch.azm
	zoem -d roff -i $< -o $@
	zoem -d roff -i $< -o $@

## draai 20100511

=== man/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 
-all: draai.1 dr_cdrip.1 dr_permutate.1 dr_symlinks.1 dr_watch.1
+all: draai.1 dr_cdrip.1 dr_permutate.1 dr_symlinks.1 dr_unsort.1 dr_watch.1
 
 clean:
-	-rm draai.1 dr_cdrip.1 dr_permutate.1 dr_symlinks.1 dr_watch.1
+	-rm draai.1 dr_cdrip.1 dr_permutate.1 dr_symlinks.1 dr_unsort.1 dr_watch.1
 
 ## draai.1: ../script/draai
 #	# generate draai(1) using help2man ( ftp://ftp.gnu.org/gnu/help2man/ )
@@ -37,3 +37,7 @@
 dr_watch.1: dr_watch.azm
 	zoem -d roff -i $< -o $@
 	zoem -d roff -i $< -o $@
+
+dr_unsort.1: dr_unsort.azm
+	zoem -d roff -i $< -o $@
+	zoem -d roff -i $< -o $@

## draai 20110603

=== man/Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+
+# work around bug in zoem 10-265-1: set searchpath
+azm2roff = ZOEMSEARCHPATH=/usr/share/aephea zoem -d roff -i $< -o $@
 
 all: draai.1 dr_cdrip.1 dr_permutate.1 dr_symlinks.1 dr_unsort.1 dr_watch.1
 
@@ -10,15 +13,15 @@
 ## 	help2man --output $@ --name='manage playlists and play audio files' --no-info `pwd`/../script/draai
 
 draai.1: draai.azm
-	zoem -d roff -i $< -o $@
-	zoem -d roff -i $< -o $@
+	$(azm2roff)
+	$(azm2roff)
 
 draai.ps: draai.1
 	troff -man $< > $@
 
 draai.html: draai.azm
-	zoem -d html -i $< -o $@
-	zoem -d html -i $< -o $@
+	ZOEMSEARCHPATH=/usr/share/aephea zoem -d html -i $< -o $@
+	ZOEMSEARCHPATH=/usr/share/aephea zoem -d html -i $< -o $@
 
 ## use -Tuft8 if you really need non-ascii characters
 draai.txt: draai.1
@@ -31,13 +34,13 @@
 	pod2man --center=Draai --release="draai $$(cat ../VERSION)" $< $@
 
 dr_symlinks.1: dr_symlinks.azm
-	zoem -d roff -i $< -o $@
-	zoem -d roff -i $< -o $@
+	$(azm2roff)
+	$(azm2roff)
 
 dr_watch.1: dr_watch.azm
-	zoem -d roff -i $< -o $@
-	zoem -d roff -i $< -o $@
+	$(azm2roff)
+	$(azm2roff)
 
 dr_unsort.1: dr_unsort.azm
-	zoem -d roff -i $< -o $@
-	zoem -d roff -i $< -o $@
+	$(azm2roff)
+	$(azm2roff)

## draai 20120712

=== debian/changelog ===
draai (20120712-1) unstable; urgency=low

  * New upstream (The Lingsfort Release).
  * source/format: added, now in 3.0 source format.
  * control: Remove article "A" from package synopsis.  Thanks lintian.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 12 Jul 2012 18:56:56 +0200

draai (20120704-1) unstable; urgency=low

  * New upstream (The Westerik Release).
  * control: updated my name.
  * control: Debian Maintainers may upload this package to the Debian
    archive
  * control: updated from 3.8.4 to policy 3.9.2 (no changes needed).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 05 Jul 2012 18:11:50 +0200

draai (20110603-1) unstable; urgency=low

  * New upstream (missed 20110516).

 -- Joost van Baal <joostvb@debian.org>  Fri, 03 Jun 2011 22:28:29 +0200

draai (20100511-1) unstable; urgency=low

  * New upstream:
    + works best with mpc >= 0.18 (as e.g. shipped with squeeze).
  * README.Debian: added notes for zsh users: manual tweaking is
    required to get draai tabcompletion work under zsh.  Thanks
    Clint Adams and chrysn (closes: #559556).
  * control: refer to VCS git, no longer arch.
  * control: updated from 3.8.2 to policy 3.8.4 (no changes needed).
  * manpages: now ships dr_unsort(1) too.
  * copyright: add dr_unsort copyright.
  * TODO: removed: nothing to do.

 -- Joost van Baal <joostvb@debian.org>  Wed, 12 May 2010 03:21:14 +0200

draai (20090615-2) unstable; urgency=low

  * control: add zsh (needed by ./setup) to Build-Depends. Thanks Lucas
    Nussbaum (closes: #543093).
  * control: Enhance short description to mention MPD.  Thanks Mike
    Massonnet (closes: #540781).
  * control: updated from 3.8.1.0 to policy 3.8.2 (no changes needed).

 -- Joost van Baal <joostvb@debian.org>  Sun, 23 Aug 2009 09:27:11 +0200

draai (20090615-1) unstable; urgency=low

  * New upstream (missed 20090614):
    - script/dr_symlinks: environment variables renamed: not ROOTS but
      DR_SL_TARGETS; not MP3HOME but DR_SL_SOURCE.
    - renamed script cdrip to dr_cdrip.
    - script draai123 now gets installed.
    - documentation improvements.
    - debian/copyright: updated: 2009.
  * control: updated from 3.8.0.0 to policy 3.8.1.0 (no changes needed).
  * control: added ${misc:Depends} for debhelper expansions. Thanks
    lintian.
  * control: add Suggests: xterm | x-terminal-emulator, for handling
    the "init" command.
  * manpages: add dr_symlinks(1), dr_watch(1).
  * TODO: updated.
  * First upload to Debian archive (closes: #519838).

 -- Joost van Baal <joostvb@debian.org>  Sun, 14 Jun 2009 20:20:04 +0200

draai (20090502-1) unstable; urgency=low

  * New upstream.
  * control: updated from 3.7.3 to policy 3.8.0.0 (no changes needed).

 -- Joost van Baal <joostvb@debian.org>  Thu, 18 Dec 2008 17:27:06 +0100

draai (20080614-1) unstable; urgency=low

  * New upstream.

 -- Joost van Baal <joostvb@debian.org>  Sat, 14 Jun 2008 15:43:48 +0200

draai (20080516-1) unstable; urgency=low

  * New upstream.
  * control: add Vcs-* header.

 -- Joost van Baal <joostvb@debian.org>  Sat, 17 May 2008 08:22:17 +0200

draai (20080301-1) unstable; urgency=low

  * New upstream.

 -- Joost van Baal <joostvb@debian.org>  Fri, 29 Feb 2008 14:32:31 +0100

draai (20080229-1) unstable; urgency=low

  * New upstream (missed 20080217, 20080228).

 -- Joost van Baal <joostvb@debian.org>  Thu, 28 Feb 2008 15:11:15 +0100

draai (20080214-1) unstable; urgency=low

  * New upstream.  Major part now licensed under GPL v3 or later.
    + rules,manpages: upstream now ships dr_permutate(1) and cdrip(1)
      manpages.
  * copyright: machine-interpretable, using proposal by Sam Hocevar
    (http://wiki.debian.org/Proposals/CopyrightFormat).

 -- Joost van Baal <joostvb@debian.org>  Wed, 13 Feb 2008 14:40:21 +0100

draai (20080209-1) unstable; urgency=low

  * New upstream.

 -- Joost van Baal <joostvb@debian.org>  Sat, 09 Feb 2008 17:58:35 +0100

draai (20070823-2) unstable; urgency=low

  * control: fixed depends: added zsh-beta as alternative for zsh, added at
    and bsdutils (for logger(1)).
  * First semi-public release (on non-gnu.uvt.nl).

 -- Joost van Baal <joostvb@debian.org>  Mon, 03 Sep 2007 06:48:12 +0200

draai (20070823-1) unstable; urgency=low

  * Initial Release.  Not uploaded to any aptable archive.

 -- Joost van Baal <joostvb@debian.org>  Sun, 02 Sep 2007 22:25:35 +0200

=== debian/control ===
# This file is maintained at http://git.mdcc.cx/draai
Source: draai
Section: sound
Priority: optional
Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5), cdbs, zsh | zsh-beta
Standards-Version: 3.9.2
Homepage: http://mdcc.cx/draai/
Vcs-Git: http://git.mdcc.cx/draai

Package: draai
Architecture: all
Depends: mpc, zsh | zsh-beta, at, unsort, ${misc:Depends}
Suggests: xterm | x-terminal-emulator
Enhances: mpc
Description: Command-line music player for MPD
 Draai is a wrapper around mpc, making playing music from the commandline more
 enjoyable.  mpc is a client for MPD, the Music Player Daemon.  Using draai,
 one can play an audiofile (ogg, mp3, whatever your MPD offers), play all
 files in a predefined playlist, view details on current, past and future
 playing songs, skip to the next song, etc.
 .
 The interface is purely command-line.  No fancy gui's whatsoever.  Draai
 consists of one zsh shell script, calling mpc.
 .
 Next to draai itself, the package installs some extra utilities for dealing
 with audio files.

## draai 20130228

=== debian/changelog ===
draai (20130228-1) unstable; urgency=low

  * New upstream (The Arjuna, Mill Road, CB1 Release; missed 20130208 - The
    Schwebebahn Release).
  * manpages: dr_cdrip(1) removed upstream.
  * control: updated from 3.9.2 to policy 3.9.3 (no changes needed).
  * copyright: updated years.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Mon, 04 Mar 2013 12:27:29 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 5), cdbs, zsh | zsh-beta
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://mdcc.cx/draai/
 Vcs-Git: http://git.mdcc.cx/draai

## draai 20131212

=== man/Makefile ===
# This file is maintained at http://git.mdcc.cx/draai

# needs zoem > 10-265-1
azm2roff = zoem -d roff -i $< -o $@
azm2html = zoem -d html -i $< -o $@

all: draai.1 dr_cdrip.1 dr_permutate.1 dr_symlinks.1 dr_unsort.1 dr_watch.1 \
 draai.html dr_symlinks.html dr_unsort.html dr_watch.html

clean:
	-rm draai.1 dr_cdrip.1 dr_permutate.1 dr_symlinks.1 dr_unsort.1 \
  dr_watch.1 *.html

## draai.1: ../script/draai
#	# generate draai(1) using help2man ( ftp://ftp.gnu.org/gnu/help2man/ )
#	# PYTHONPATH=`pwd`/../modules help2man --output $@ --name='manage playlists and play audio files' --no-info `pwd`/../script/draai
## 	help2man --output $@ --name='manage playlists and play audio files' --no-info `pwd`/../script/draai

SUFFIXES = .1 .html .azm .ps .txt
.SUFFIXES: .1 .html .azm .ps .txt

.azm.1:
	$(azm2roff)
	$(azm2roff)

draai.ps: draai.1
	groff -man $< > $@

.azm.html:
	$(azm2html)
	$(azm2html)

## use -Tuft8 if you really need non-ascii characters
draai.txt: draai.1
	troff -t -e -mandoc -Tascii $< | col -bxp > $@

dr_cdrip.1: ../script/dr_cdrip
	pod2man --center=Draai --release="draai $$(cat ../VERSION)" $< $@

dr_permutate.1: ../script/dr_permutate
	pod2man --center=Draai --release="draai $$(cat ../VERSION)" $< $@

=== debian/changelog ===
draai (20131212-1) unstable; urgency=low

  * New upstream (The Witte Reiger Release).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 12 Dec 2013 20:48:58 +0100

draai (20131020-1) unstable; urgency=low

  * New upstream (The Plexus aka Het Platenmanneke Release).
  * docs: added: install /usr/share/doc/draai.html and
    /usr/share/doc/dr_{symlinks,unsort,watch}.html.
  * control: add ${perl:Depends}, so that the dr_permutate Perl script will
    work.
  * control: removed 'DM-Upload-Allowed: yes': obsolete as per
    https://lists.debian.org/debian-devel-announce/2012/09/msg00008.html
  * control: updated from 3.9.3 to policy 3.9.4 (no changes needed).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 22 Oct 2013 15:54:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Section: sound
 Priority: optional
 Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 5), cdbs, zsh | zsh-beta
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://mdcc.cx/draai/
 Vcs-Git: http://git.mdcc.cx/draai
 
 Package: draai
 Architecture: all
-Depends: mpc, zsh | zsh-beta, at, unsort, ${misc:Depends}
+Depends: mpc, zsh | zsh-beta, at, unsort, ${misc:Depends}, ${perl:Depends}
 Suggests: xterm | x-terminal-emulator
 Enhances: mpc
 Description: Command-line music player for MPD

## draai 20160601

=== debian/changelog ===
draai (20160601-1) unstable; urgency=medium

  * New upstream (The Јадар Release):
    - New command "zap".
    - Improved commmands "init", "watch".

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 02 Jun 2016 06:16:40 +0200

draai (20150228-1) unstable; urgency=low

  * New upstream (The Nieuwe Leij Release; missed version 20140828 -
    The Nuuk Release)
    - New commands "listall", "add".
    - Improved commands "init", "watch".
    - Documentation improvements.
  * control: no longer Depends: at, but merely Recommends.
  * control: improved extended description.
  * control: updated from 3.9.4 to policy 3.9.6 (no changes needed).
  * control: remove "| zsh-beta": Debian currently ships "zsh" only.
  * copyright: updated.
  * manpages: symplify, like docs.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 01 Mar 2015 03:53:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Priority: optional
 Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
 Build-Depends: debhelper (>= 5), cdbs, zsh | zsh-beta
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://mdcc.cx/draai/
 Vcs-Git: http://git.mdcc.cx/draai
 
 Package: draai
 Architecture: all
-Depends: mpc, zsh | zsh-beta, at, unsort, ${misc:Depends}, ${perl:Depends}
-Suggests: xterm | x-terminal-emulator
+Depends: mpc, zsh, unsort, ${misc:Depends}, ${perl:Depends}
+Suggests: xterm | x-terminal-emulator, at
 Enhances: mpc
 Description: Command-line music player for MPD
  Draai is a wrapper around mpc, making playing music from the commandline more
@@ -23,5 +23,14 @@
  The interface is purely command-line.  No fancy gui's whatsoever.  Draai
  consists of one zsh shell script, calling mpc.
  .
+ Main differences with mpc: draai supports smooth fadeouts, draai can be used
+ as an alarmclock, draai supports rescheduling a track as the upcoming track,
+ draai offers fancy status windows.  When draai starts playing the next song
+ it informs syslog about it, including all details about the song; a "tail -F"
+ on syslog yields a nice playlist history.  Like mpc, draai comes with full
+ zsh tabcompletion support.  The author uses draai for doing DJ sets in clubs.
+ If you, like the author, are a Unix sysadmin who likes to play music, you'll
+ like draai.
+ .
  Next to draai itself, the package installs some extra utilities for dealing
  with audio files.

## draai 20180521

=== debian/changelog ===
draai (20180521-1) unstable; urgency=medium

  * New upstream (The Miramar Release)
  * debian/{compat,control}: raised debhelper compatibility level from 5 to 10.
  * debian/control: updated from 3.9.6 to policy 4.2.1 (no changes needed).
  * debian/watch, debian/upstream/signing-key.asc: added (by running gpg
    --armor --export --export-options export-minimal 'Joost van Baal-Ilić'
    >signing-key.asc), so that uscan can automagically verify upstream releases
    and signatures.
  * debian/control: add Vcs-Browser field.  (NB: git.mdcc.cx does not yet
    support httpS.)

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 05 Sep 2018 09:15:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Section: sound
 Priority: optional
 Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
-Build-Depends: debhelper (>= 5), cdbs, zsh | zsh-beta
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), cdbs, zsh | zsh-beta
+Standards-Version: 4.2.1
 Homepage: http://mdcc.cx/draai/
-Vcs-Git: http://git.mdcc.cx/draai
+Vcs-Git: http://git.mdcc.cx/draai.git/
+Vcs-Browser: http://mdcc.cx/git/wd/draai/
 
 Package: draai
 Architecture: all

=== debian/watch ===
# uscan(1)
version=3
opts="pgpsigurlmangle=s/$/.asc/" http://mdcc.cx/pub/draai/draai-([\d\.]+)\.tar\.xz

## draai 20201215

=== man/Makefile ===
--- 
+++ 
@@ -4,12 +4,12 @@
 azm2roff = zoem -d roff -i $< -o $@
 azm2html = zoem -d html -i $< -o $@
 
-all: draai.1 dr_cdrip.1 dr_permutate.1 dr_symlinks.1 dr_unsort.1 dr_watch.1 \
+all: draai.1 dr_permutate.1 dr_symlinks.1 dr_unsort.1 dr_watch.1 \
  draai.html dr_symlinks.html dr_unsort.html dr_watch.html
 
 clean:
-	-rm draai.1 dr_cdrip.1 dr_permutate.1 dr_symlinks.1 dr_unsort.1 \
-  dr_watch.1 *.html
+	-rm draai.1 dr_permutate.1 dr_symlinks.1 dr_unsort.1 \
+  dr_watch.1 draai.zmr *.zmt *.zmr *.html
 
 ## draai.1: ../script/draai
 #	# generate draai(1) using help2man ( ftp://ftp.gnu.org/gnu/help2man/ )
@@ -34,9 +34,6 @@
 draai.txt: draai.1
 	troff -t -e -mandoc -Tascii $< | col -bxp > $@
 
-dr_cdrip.1: ../script/dr_cdrip
-	pod2man --center=Draai --release="draai $$(cat ../VERSION)" $< $@
-
 dr_permutate.1: ../script/dr_permutate
 	pod2man --center=Draai --release="draai $$(cat ../VERSION)" $< $@

=== debian/changelog ===
draai (20201215-2) unstable; urgency=low

  * New source-only upload to allow migration to testing.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 29 Dec 2020 20:52:23 +0100

draai (20201215-1) unstable; urgency=low

  * New upstream (The 江漢區 Release)
    - Improved commmand "init".

  * debian/control: updated from 4.2.1 to policy 4.5.0 (no changes needed).

  [ lintian-brush ]
  * Mark debian/rules as executable.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 26 Dec 2020 19:00:15 +0100

draai (20180521-2) unstable; urgency=medium

  * debian/watch: make sure uscan actually works for us; update from version
    format 3 to 4.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 18 Aug 2019 07:54:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
 Build-Depends: debhelper (>= 10), cdbs, zsh | zsh-beta
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: http://mdcc.cx/draai/
 Vcs-Git: http://git.mdcc.cx/draai.git/
 Vcs-Browser: http://mdcc.cx/git/wd/draai/

=== debian/rules ===
#!/usr/bin/make -f

# This file is maintained at http://git.mdcc.cx/draai

include /usr/share/cdbs/1/rules/debhelper.mk

common-install-indep::
	DESTDIR=$(DEB_DESTDIR) ./setup --prefix=/usr --libexecdir=/usr/share install
	rm $(DEB_DESTDIR)/usr/share/doc/draai/COPYING \
 $(DEB_DESTDIR)/usr/share/doc/draai/ChangeLog \
 $(DEB_DESTDIR)/usr/man/man1/*.1
	rmdir $(DEB_DESTDIR)/usr/man/man1 $(DEB_DESTDIR)/usr/man

=== debian/watch ===
# uscan(1)
version=4
opts="pgpsigurlmangle=s/$/.asc/" http://mdcc.cx/pub/draai/ draai-([\d\.]+)\.tar\.gz

## draai 20250202

=== debian/changelog ===
draai (20250202-1) unstable; urgency=low

  * New upstream (The краља Милана 20, 11000 Београд Release)
    - Installs new dr_init command.  dr_init is a wrapper around "draai init",
      useful in some mpd setups.  It is not yet documented, for now refer to
      the scripts (small) source for details.

  * convert from cdbs to pure debhelper:
    - d/rules: replace and convert from common-install-indep:: to
       override_dh_install:
    - d/control: Build-Depends: drop cdbs, debhelper (>= 10); add
       debhelper-compat (= 13)
    - d/compat: remove

  * d/lintian-overrides: added: override "cannot select font 'C'" from groff.
    See Bug#1076648: aephea.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 02 Feb 2025 05:02:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: sound
 Priority: optional
 Maintainer: Joost van Baal-Ilić <joostvb@debian.org>
-Build-Depends: debhelper (>= 10), cdbs, zsh | zsh-beta
+Build-Depends: debhelper-compat (= 13), zsh | zsh-beta
 Standards-Version: 4.5.0
 Homepage: http://mdcc.cx/draai/
 Vcs-Git: http://git.mdcc.cx/draai.git/

=== debian/rules ===
#!/usr/bin/make -f

# This file is maintained at http://git.mdcc.cx/draai

%:
	dh $@

override_dh_install:
	DESTDIR=$(CURDIR)/debian/draai ./setup --prefix=/usr --libexecdir=/usr/share install
	rm $(CURDIR)/debian/draai/usr/share/doc/draai/COPYING \
  $(CURDIR)/debian/draai/usr/share/doc/draai/ChangeLog \
  $(CURDIR)/debian/draai/usr/man/man1/*.1
	rmdir $(CURDIR)/debian/draai/usr/man/man1 $(CURDIR)/debian/draai/usr/man
	dh_install

#include /usr/share/cdbs/1/rules/debhelper.mk
#
#common-install-indep::
#	DESTDIR=$(DEB_DESTDIR) ./setup --prefix=/usr --libexecdir=/usr/share install
#	rm $(DEB_DESTDIR)/usr/share/doc/draai/COPYING \
# $(DEB_DESTDIR)/usr/share/doc/draai/ChangeLog \
# $(DEB_DESTDIR)/usr/man/man1/*.1
#	rmdir $(DEB_DESTDIR)/usr/man/man1 $(DEB_DESTDIR)/usr/man

## draai 20260114

=== debian/changelog ===
draai (20260114-1) unstable; urgency=low

  * New upstream (The De Zeggen Release, missed version 20260113 - The
    Keropars Release)
    - Ships experimental mpd-bot irc bot.

  * d/upstream/signing-key.asc: resynced with fixed key.  My key no longer
    suffers from: "User ID protected by SHA-1", "a backsig that uses SHA-1".
    Thanks Guillem Jover in
    https://lists.debian.org/msgid-search/Z9tmRAOiXddsAsBb@thunder.hadrons.org .

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 13 Jan 2026 16:21:03 +0100

## draai 20260222

=== debian/changelog ===
draai (20260222-1) unstable; urgency=low

  * New upstream (The Brangk Release)
    - cosmetics.
  * d/copyright: convert to copyright-format/1.0.
  * d/copyright: add mpd-bot license information.
  * d/copyright: drop dr_cdrip license information: in 2013 this script was
    dropped from upstream tarball.
  * d/rules: remove some obsolete commented out stuff.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 28 Feb 2026 17:27:39 +0100

=== debian/rules ===
#!/usr/bin/make -f

# This file is maintained at http://git.mdcc.cx/draai

%:
	dh $@

override_dh_install:
	DESTDIR=$(CURDIR)/debian/draai ./setup --prefix=/usr --libexecdir=/usr/share install
	rm $(CURDIR)/debian/draai/usr/share/doc/draai/COPYING \
  $(CURDIR)/debian/draai/usr/share/doc/draai/ChangeLog \
  $(CURDIR)/debian/draai/usr/man/man1/*.1
	rmdir $(CURDIR)/debian/draai/usr/man/man1 $(CURDIR)/debian/draai/usr/man
	dh_install
